Subject: bug#53839: 29.0.50; Strange bug causes tool bar to be overwritten

From: Po Lu <[email-masked]>
Date: Tue, 08 Feb 2022 08:46:07 +0800

martin rudalics <[email-masked]> writes:

>   /* 2021 REMIX: Don't call widget_update_wm_size_hints here since on
>      GNOME shell get_wm_shell may fail to produce the wmshell widget.
>      As a consequence, no size hints get set before we issue our resize
>      request, mutter (presumably) refuses to resize the outer window as
>      requested and we end up with a wrong initial frame size.
>
>      It's not clear whether other calls of update_wm_hints are affected
>      as well but not calling widget_update_wm_size_hints here seems
>      sufficient to fix the bug.  */
>
> /** #ifdef USE_X_TOOLKIT **/
> /**   if (f->output_data.x->widget) **/
> /**     { **/
> /**       widget_update_wm_size_hints (f->output_data.x->widget); **/
> /**       return; **/
> /**     } **/
> /** #endif **/
>
> which works around that problem.  (I didn't try your fix but am
> convinced that it gets the initial frame height wrong.)

I fixed the calls to widget_update_wm_size_hints on master, and it fixes
the bug, so if you're happy with that fix I'll close this bug now.

Thanks.